LIBRARY = libToolkit.a#
OBJS = Toolkit.o ToolkitGtk.o Trackball.o FramesPerSecond.o

CC = i586-mingw32msvc-g++
AR = i586-mingw32msvc-ar
RM = /bin/rm -f

CFLAGS = -Wall -O2 -mms-bitfields -I../SceneGraph -I../Utility $(FLAGS) `$(PKG_CONFIG) --define-variable=prefix=$(PREFIX_MINGW32) --cflags gtk+-2.0 gtkglext-1.0`
ARFLAGS = rc

all: $(OBJS)
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS)

%.o: %.cpp %.h Toolkit.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) *~ *.o $(LIBRARY)

